-- ====================
-- validation services
-- ====================
{{#services}}
{{#embedded}}
--
-- embedded validation service {{{name}}}
--
insert into public.evsc_stylesheet (id, location) values (nextval('evsc_stylesheet_id_seq'), '{{#xsl-url}}{{{xsl-url}}}{{/xsl-url}}{{^xsl-url}}{{{gazelle.xsl.root}}}/{{{xsl-path}}}{{/xsl-url}}');
insert into public.evsc_validation_report_type (id, report_format, stylesheet_id) values (nextval('evsc_validation_report_type_id_seq'), '{{{report_format}}}', currval('evsc_stylesheet_id_seq'));
insert into public.evsc_validation_service_conf (id, description, display_name, validation_type, factory_canonical_classname, available, validationreporttype_id) values (nextval('evsc_processing_conf_id_seq'), '{{{description}}}', '{{{name}}}', '{{{validation_type}}}', '{{{factory_canonical_classname}}}', {{{available}}}, currval('evsc_validation_report_type_id_seq'));
insert into public.evsc_embedded_validation_service_conf (id) values (currval('evsc_processing_conf_id_seq'));
{{/embedded}}
{{#web}}
--
-- web validation service {{{name}}}
--
insert into public.evsc_stylesheet (id, location) values (nextval('evsc_stylesheet_id_seq'), '{{#xsl-url}}{{{xsl-url}}}{{/xsl-url}}{{^xsl-url}}{{{gazelle.xsl.root}}}/{{{xsl-path}}}{{/xsl-url}}');
insert into public.evsc_validation_report_type (id, report_format, stylesheet_id) values (nextval('evsc_validation_report_type_id_seq'), '{{{report_format}}}', currval('evsc_stylesheet_id_seq'));
insert into public.evsc_validation_service_conf (id, description, display_name, validation_type, factory_canonical_classname, available, validationreporttype_id) values (nextval('evsc_processing_conf_id_seq'), '{{{description}}}', '{{{name}}}', '{{{validation_type}}}', '{{{factory_canonical_classname}}}', {{{available}}}, currval('evsc_validation_report_type_id_seq'));
insert into public.evsc_web_validation_service_conf (url, zip_transport, id) values ('{{#wsdl-url}}{{{wsdl-url}}}{{/wsdl-url}}{{^wsdl-url}}{{{gazelle.validators.root}}}/{{{wsdl-path}}}{{/wsdl-url}}', {{{zip_transport}}}, currval('evsc_processing_conf_id_seq'));
{{/web}}
{{/services}}
-- ====================
-- referenced standards
-- ====================
{{#standards}}
--
-- standard {{{display_name}}} ({{{validator_filter}}})
--
insert into public.evsc_referenced_standard (id, description, display_name, validation_type, icon_style_class, validator_filter) values (nextval('evsc_processing_conf_id_seq'), '', '{{{display_name}}}', '{{{validation_type}}}', '{{{icon_style_class}}}', '{{{validator_filter}}}');

{{#services}}
insert into public.evsc_conf_composition (composed_id, component_id) values (currval('evsc_processing_conf_id_seq'),(select id from evsc_validation_service_conf where display_name='{{{name}}}'));
{{/services}}
{{#stylesheets}}
INSERT INTO public.evsc_stylesheet (id, location) VALUES (nextval('evsc_stylesheet_id_seq'), '{{#xsl-url}}{{{xsl-url}}}{{/xsl-url}}{{^xsl-url}}{{{gazelle.xsl.root}}}/{{{xsl-path}}}{{/xsl-url}}');
INSERT INTO public.evsc_named_stylesheet (name, id, referenced_standard_id) VALUES ('{{{name}}}', currval('evsc_stylesheet_id_seq'), currval('evsc_processing_conf_id_seq'));
{{/stylesheets}}

{{/standards}}
-- =====
-- menus
-- =====
{{#menus}}
--
-- menu {{{label}}}
--
insert into public.evsc_menu_group (id, is_available, label, order_in_gui) values (nextval('evsc_menu_group_id_seq'), true, '{{{label}}}', {{{order_in_gui}}});

{{#standards}}
insert into public.evsc_menu_standard (menu_group_id, referenced_standard_id) values (currval('evsc_menu_group_id_seq'), (select id from evsc_referenced_standard where display_name='{{{display_name}}}' and validator_filter='{{{validator_filter}}}'));
{{/standards}}
{{/menus}}
